<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>JS-ADV. Lesson 1. Task 1 </title>
</head>
<body>
    <button onclick="ChangeColor(event)" data-color="red" data-width="500px">RED</button>
    <button onclick="ChangeColor(event)" data-color="blue">BLUE</button>
    <button onclick="ChangeColor(event)" data-color="green">GREEN</button>

    <script>
      /*
        Задание:
          Получить data-атрибут с цветом с кнопки и задать фону странички такой цвет
      */
      function ChangeColor(event){
          console.log( event.target );
        /*
          Для того что бы получить кнопку на которую вы нажали используйте
          свойство event.target в котором хранится ссылка на кнопку.
          Пример уже написан выше.
        */

        // Ваш код должен быть тут!

        
        const bgColor = event.target.dataset['color'] ? event.target.dataset['color'] : 'white';

        // Variant 1
        document.body.setAttribute('style', 'background-color: ' + bgColor + ';');
        
        // Variant 2
       //document.body.style.backgroundColor = bgColor;

      }


    </script>
</body>
</html>
